package javax.microedition.lcdui;

import javax.microedition.midlet.*;
import java.awt.*;
import java.awt.event.*;
import org.me4se.impl.lcdui.*;

class CommandList extends List implements CommandListener {

    Displayable owner;
    Command cancel = new Command("Cancel", Command.CANCEL, 0);

    CommandList(Displayable d) {

        super("Select", Choice.IMPLICIT);
        owner = d;

        addCommand(cancel);

        for (int i = 0; i < d.commands.size(); i++) {
            Command c = (Command) d.commands.elementAt(i);
            append(c.getLabel(), null);
        }

        setCommandListener(this);
    }

    public void commandAction(Command cmd, Displayable d) {
        //System.out.println ("commandAction received!!!");
        display.setCurrent(owner);
        if (cmd != cancel)
            owner.container.displayable.handleCommand(
                (Command) owner.commands.elementAt(getSelectedIndex()));
    }

}
