package javax.microedition.lcdui;

import org.me4se.impl.lcdui.*;
import org.kobjects.scm.*;

public class DeviceList extends ScmList {

    Screen owner;

    public DeviceList(Screen owner) {
        this.owner = owner;
    }

    public void focusGained() {
        DeviceComponent c = (DeviceComponent) getFocusOwner();
        if (c.selectButtonRequired != owner.selectButtonRequired) {
            owner.selectButtonRequired = c.selectButtonRequired;
            owner.container.updateButtons();
        }
    }

    public void validateFocus() {

        getParent().doLayout();
        for (int i = 0; i < getComponentCount(); i++) {
            ScmComponent c = getComponent(i);
            //System.out.println ("component "+i+" focusable: "+c.getFocusable () + " y: "+getY () + " c.y:"+ c.getY () + " c.h:"+c.getHeight () + " parentH: "+getParent().getHeight ());
            if (getY() + c.getY() + c.getHeight() > getParent().getHeight()) {

                getComponent(0).requestFocus();
                break;
            }

            if (c.getFocusable()) {
                c.requestFocus();
                break;
            }
        }
    }

}
