package javax.microedition.lcdui;

import javax.microedition.midlet.*;
import java.awt.*;
import java.awt.event.*;
import org.me4se.impl.lcdui.*;

class SoftButton extends DeviceLabel {

    DisplayableContainer owner;
    Command command;
    int index;

    SoftButton(DisplayableContainer owner, int index) {
        super("softButton", false);
        this.index = index;
        this.owner = owner;

        compact = false;
        highlight = false;
        setText("");

        //String pos = ApplicationManager.manager.getProperty ("softButton."+index);
        
        int cnt = owner.buttons.length;
        int w = (owner.getWidth() - 5 * (cnt - 1)) / cnt;        
        int h = getMinimumSize().height;
        int x = (w+5) * index;
        
        setBounds (x, owner.getHeight ()- h, w, h); 
    }


    /*
    void setLabel (String s) {
    setText (s);
    
    }*/

    public void setText(String s) {
        if ((s == null || s.length() == 0)
            && fontInfo[0].background.getRGB() == 0)
            setBackground(
                new java.awt.Color(
                    ApplicationManager.manager.getDeviceColor(
                        0x0808080,
                        false)));
        else
            setBackground(fontInfo[0].background);
        super.setText(s);
        //System.out.println ("softb-settext "+s);

    }
    /*
    public void update (java.awt.Graphics g) {
    System.out.println ("paintsoftbutton; label: "+label);
    super.paint (g);
    }
    public void paint (java.awt.Graphics g) {
    System.out.println ("paintsoftbutton; label: "+getText ());
    super.paint (g);
    }
    */

    void setCommand(Command cmd) {

        command = cmd;
        if (cmd == null)
            setText("");
        else
            setText(cmd.getLabel());

    }
 
    public void action () {
        ((DisplayableContainer) getParent ()).displayable.handleCommand (command);        
    }
}
