// replaced by impl. based on ScmGauge


package javax.microedition.lcdui;

import org.kobjects.scm.*;


public class Gauge extends Item {

    int value;
    int maximum;
    GaugeComponent component;

    public Gauge(java.lang.String label, boolean interactive, 
		 int maxValue, int initialValue) 
    throws IllegalArgumentException {
        super(label);
	
	this.maximum = maxValue;
	this.value = value;

	component = new GaugeComponent (this, interactive);
	lines.addElement (component);
    }

    
    public int getMaxValue() {
        return maximum;
    }
    
    /**
     *Gets the current value of this Gauge object. 
     */
    public int getValue() {
        return value;
    }
    

    public boolean isInteractive()  {
        return component.getFocusable ();
    }

    public void setMaxValue(int maxValue) {
        maximum = maxValue;
	component.repaint ();
    }
    

    public void setValue(int value) {
        this.value = value;
	component.repaint ();
    }
      

    
}
