package javax.microedition.lcdui;

import javax.microedition.midlet.ApplicationManager;
import org.me4se.impl.lcdui.*;

public class StringItem extends Item {

    String text;

    public StringItem(String label, String text) {
        super(label);
        setText(text);
    }

    public void setText(String text) {
        this.text = text;

        int p = delete();

        for (int i = lines.size() - 1; i > 0; i--)
            lines.removeElementAt(i);

        if (text != null && text.length() > 0) {
            WordWrap ww =
                new WordWrap(
                    FontInfo.getFontInfo("default").font,
                    text,
                    ApplicationManager.manager.screenWidth);

            int p0 = 0;

            while (true) {
                int p1 = ww.next();
                if (p1 == -1)
                    break;
                int p2 = p1;

                while (p2 > p0 && text.charAt(p2 - 1) <= ' ')
                    p2--;

                DeviceLabel l = new DeviceLabel("default", false);
                l.highlight = false;
                l.setText(text.substring(p0, p2));
                lines.addElement(l);

                p0 = p1;
            }
        }

        readd(p);
    }

    public String getText() {
        return text;
    }
}
